/*
 * Class ITERATION_CURSOR [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_499 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_499 [] = {0xFF01,237,498,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_499 [] = {0xFF01,498,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_499 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_499 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_499 [] = {0xFF01,498,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_499 [] = {0xFF01,498,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_499 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_499 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_499 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_499 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_499 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_499 [] = {498,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_499 [] = {0xFF01,498,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_499 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_499 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_499[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_499), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_499), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_499), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_499), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_499), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_499), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_499), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_499), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_499), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_499), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_499), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_499), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_499), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_499), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_499), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_499), -1, 0xFFFFFFFF},
};
void Init499(void)
{
	IDSC(desc_499, 0, 498);
	IDSC(desc_499 + 1, 1, 498);
	IDSC(desc_499 + 32, 245, 498);
}


#ifdef __cplusplus
}
#endif
